﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;
using VeteransAffairs.Registries.BusinessManager.Utilities;
using VeteransAffairs.Registries.BusinessManager.TBI;
using VeteransAffairs.Registries.BusinessManager.MDWS; // Add 29-Oct-2010 per JH
using System.Text;
using System.Configuration;
using System.Runtime.InteropServices;
using Telerik.Web.UI;

public partial class TBI_InstrumentFollowUpEntry : BaseTBIInstrumentPage 
{

    #region Variable Declarations

    protected string _serviceToUse = ConfigurationManager.AppSettings["TBIServiceToUse"].ToString();

    PatientManager patientManager = new PatientManager();
    //VIAInstrumentsManager _tbiVIAInstrumentManager = new VIAInstrumentsManager();
    //VIAInstrumentsManager.InstrumentType _viainstrumentType = new VIAInstrumentsManager.InstrumentType();
    InstrumentType instrumentType = new InstrumentType();

    protected int _surveyTypeId = 3; // Database Id for Follow  Up Entry
    protected int selectedItems = 0;
    protected string[] _ThirteenAAnswers, _FiveDFiveAAnswers;
    protected int _ii = 0, _uu = 0;

    SURVEY _survey;   // the root object in the Survey set
    SURVEY_RESULT _surveyResult; // the object representing the actual data in the Survey

    List<STD_QUESTION> QuestionList = new List<STD_QUESTION>();

    #endregion

    /// <summary>
    /// Default Constructor
    /// </summary>
    public TBI_InstrumentFollowUpEntry()
    {
        //Manager Save Notification Event Handler
        patientManager.BOSaveSuccess += manager_BOSaveSuccess;
    }

    #region Protected Methods

    /// <summary>
    /// Page Load method
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            string instTitle = String.Empty;
            _ThirteenAAnswers = new string[11];
            _FiveDFiveAAnswers = new string[8];

            //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
            //{
            //    VIAInstrumentsManager.TBIServiceTOVIA _tbiServiceTo;
            //    _tbiServiceTo = (VIAInstrumentsManager.TBIServiceTOVIA)Session["TBIServiceTO"];
            //    _tbiVIAInstrumentManager.TbiServiceTo = _tbiServiceTo;
            //    instTitle = _tbiVIAInstrumentManager.GetInstrumentByID(_surveyTypeId).Name;
            //}
            //else
            //{

            //TBIServiceTO _tbiServiceTo;
            //_tbiServiceTo = (TBIServiceTO)Session["TBIServiceTO"];
            //_tbiInstrumentManager.TbiServiceTo = _tbiServiceTo;
            _tbiInstrumentManager.TbiServiceTo = base.GetTBIServiceTo();
            instTitle = _tbiInstrumentManager.GetInstrumentByID(_surveyTypeId).Name;

           // }

            LabelBreadCrumb.Text = "TBI Instruments > Instrument Associations > " + instTitle;
            
            Page.Title = "TBI Instruments - " + instTitle;
        }
        catch (Exception ex)
        {
            //Redirect to message that session is ended and need to log back in from CPRS.
            Exception _tbilogerror = HandleTBIException(ex, "InstrumentFollowUpEntry.aspx", "100027", "SESSIOENDED");
            Response.Redirect("Warning.aspx?err=2", false);
        }

        if (!IsPostBack)
        {
            //turn off viewstate for all radiobuttonlists
            //this.GetAllControls().OfType<RadioButtonList>().ToList().ForEach(c => c.EnableViewState = false);

            //These are DataBound controls and need viewstate
            rblMedicationReconciliationPerformed.EnableViewState = true;
            rblMedicationGiven.EnableViewState = true;

            rblMedicationReconciliationPerformed.Attributes["onclick"] = "rblMedicationReconciliationPerformed_CheckChanged()";
            ScriptManager.RegisterStartupScript(this, this.GetType(), "rblMedicationReconciliationPerformed_CheckChanged", "rblMedicationReconciliationPerformed_CheckChanged()", true);

            //Load DataBound controls
            List<STD_QUESTION_CHOICE> list = new List<STD_QUESTION_CHOICE>();
            list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("16-A", "COMP TBI FOLLOW-UP");
            list.RemoveAt(0);
            rblMedicationReconciliationPerformed.DataSource = list;
            rblMedicationReconciliationPerformed.DataBind();

            list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("16-B", "COMP TBI FOLLOW-UP");
            list.RemoveAt(0);
            rblMedicationGiven.DataSource = list;
            rblMedicationGiven.DataBind();

            string _ssn = string.Empty;

            if (_tbiInstrumentManager.TbiServiceTo == null)
            {
            }
            else
            {
                base.AddtoViewStateTBIServiceTo(_tbiInstrumentManager.TbiServiceTo);

                if (instrumentType.Status != null)
                {
                    _tbiInstrumentManager.TbiServiceTo.SelectedInstrumentType = instrumentType;
                }
                _ssn = _tbiInstrumentManager.TbiServiceTo.PatientSSN;

                LabelPatient.Text = _tbiInstrumentManager.TbiServiceTo.PatientName;
                LabelSSN.Text = _tbiInstrumentManager.TbiServiceTo.PatientSSN.Trim().Length == 9 ? String.Format("{0:000-00-0000}", int.Parse(_tbiInstrumentManager.TbiServiceTo.PatientSSN)) : _tbiInstrumentManager.TbiServiceTo.PatientSSN;

                Label labelUser = (Label)Master.FindControl("LabelCurrentUser");
                if (labelUser != null)
                {
                    labelUser.Text = _tbiInstrumentManager.TbiServiceTo.UserName;
                }
            }

            if (!string.IsNullOrEmpty(_ssn))
            {
                string patICN = patientManager.GetPatientICNBySSN(_ssn);

                if (!string.IsNullOrEmpty(patICN))
                {
                    ViewState["PatientICN"] = patICN;
                    RefreshSurvey(patICN);
                }
                else
                {
                    throw new ArgumentException("Patient with this SSN does not exist.");
                }

                if (_survey != null && !_survey.isNew)
                {
                    SetUpSurvey(_survey);
                }
                string referrer = "";
                if (Request.UrlReferrer != null)
                {
                    referrer = Request.UrlReferrer.PathAndQuery;
                }
                ViewState["referrer"] = referrer;
            }

            InjuryYearRangeValidator.MinimumValue = "2001";
            InjuryYearRangeValidator.MaximumValue = DateTime.Today.Year.ToString();
        }
        QuestionList = GetAllQuestionsForSurvey();

    }

    protected override void LoadViewState(object savedState)
    {
        base.LoadViewState(savedState);
        string surveyXml = (string)ViewState["surveyXml"];
        _survey = SerializerUtil.Deserialize<SURVEY>(surveyXml);
    }

    protected override object SaveViewState()
    {
        ViewState["surveyXml"] = _survey.Serialize();
        return base.SaveViewState();
    }

    /// <summary>
    /// Save Draft button clicked.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    public void btnSaveSurveyDraft_Click(object sender, EventArgs e)
    {
        //Page.Validate();
        //if (Page.IsValid)
        //{
            Int32 status = 0;
            //SaveFailMessage = "Save Failed. Please press " + btnSaveSurveyDraft.Text + " button again to avoid data loss.";
            SaveFailMessage = "Save Succeeded";

            if (e.GetType().TypeHandle.Value.ToString().Length > 0)
            {
                SaveCompleteSurvey(ref status);
                //SetUpSurvey(_survey);
                Response.Redirect("InstrumentFollowUpEntry.aspx", false);
            }
        //}
    }

    /// <summary>
    /// Save and Prepare Note button clicked.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            Int32 status = 0;
            SaveFailMessage = "Save Succeeded";
            //SaveFailMessage = "Save Failed. Please press " + btnSubmitSurvey.Text + " button again to avoid data loss.";
            SaveCompleteSurvey(ref status);

            //if (status > 0)
            //{
                Session["survey"] = _survey;
                Response.Redirect("InstrumentSummaryNote.aspx", false);
            //}
            //else
            //{
            //    SetUpSurvey(_survey); //Follow Save Draft logic 
            //}

        }
        catch (Exception ex)
        {
            Exception _tbilogerror = HandleTBIException(ex, "InstrumentFollowUpEntry.aspx", "100030", "btnSubmit_Click()");
        }
    }

    /// <summary>
    /// Cancel button clicked.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        ViewState["surveyXml"] = null;
        ViewState["PatientICN"] = null;
        ViewState["referrer"] = null;
        Session.Remove("survey");

        Response.Redirect("Instrument.aspx", false);
    }

    /// <summary>
    /// Hide or Show instructions
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void lnkBtnToggleInstructions_OnClick(object sender, EventArgs e)
    {

    }

    /// <summary>
    /// Calculate button clicked.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnCalculate_Click(object sender, EventArgs e)
    {

    }

    /// <summary>
    /// Inactive timer firing.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void InActiveTimer_Tick(object sender, EventArgs e)
    {
        Int32 status = 0;
        SaveFailMessage = "Save Failed. Please press " + btnSaveSurveyDraft.Text + " button again to avoid data loss.";

        //Page.Validate();

        //if (Page.IsValid)
        //{
            SaveCompleteSurvey(ref status);
            //SetUpSurvey(_survey);
            Response.Redirect("InstrumentFollowUpEntry.aspx", false);
        //}
        //else
        //{
        //    SaveFailMessage = "Auto-Save Validation Failed. Please complete required fields in the survey and press " + btnSaveSurveyDraft.Text + " button again to avoid data loss.";
        //}
    }

    #endregion

    #region Private Methods

    /// <summary>
    /// Get all questions for this survey
    /// </summary>
    /// <returns></returns>
    private List<STD_QUESTION> GetAllQuestionsForSurvey()
    {
        //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
        //{
        //    return _tbiVIAInstrumentManager.SelectAllQuestions(_surveyTypeId).ToList();
        //}
        //else
        //{
            return _tbiInstrumentManager.SelectAllQuestions(_surveyTypeId).ToList();
        //}
    }

    /// <summary>
    /// Refresh Survey
    /// </summary>
    /// <param name="patientICN"></param>
    private void RefreshSurvey(string patientICN)
    {
        //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
        //{
        //    var surveys = _tbiVIAInstrumentManager.SelectByPatientICNAndSurveyType(patientICN, _surveyTypeId, true).ToList();
        //    if (surveys.Count > 0)
        //        _survey = surveys.First();
        //    else
        //        _survey = new SURVEY();
        //}
        //else
        //{
            var surveys = _tbiInstrumentManager.SelectByPatientICNAndSurveyType(patientICN, _surveyTypeId, true).ToList();
            if (surveys.Count > 0)
                _survey = surveys.First();
            else
                _survey = new SURVEY();
        //}

        _survey.SetAsChangeTrackingRoot();
    }

   
    /// <summary>
    /// Save Complete Survey
    /// </summary>
    /// <param name="status"></param>
    private void SaveCompleteSurvey(ref Int32 status)
    {
        try
        {
            string patientICN = String.Empty;

            status = 0;

            //Retrieve patient's ICN from the session variable
            if (ViewState["PatientICN"] != null)
            {
                patientICN = ViewState["PatientICN"].ToString();
                if (String.IsNullOrEmpty(patientICN.Trim()))
                {
                    //Lost state. Redirect to message that need to log back in from CPRS.
                    Response.Redirect("Warning.aspx?err=2", false);
                }
            }
            else
            {
                //Lost state. Redirect to message that need to log back in from CPRS.
                Response.Redirect("Warning.aspx?err=2");
            }

            
            if (_survey != null)
            {
                if (_survey.isNew)
                {
                    
                    //int _surveycount = 0;
                    //Ensure that a concurrent session hasn't already inserted a record for this survey
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //{
                    //    var surveys = _tbiVIAInstrumentManager.SelectByPatientICNAndSurveyType(patientICN, _surveyTypeId, true).ToList();
                    //    //_surveycount = surveys.Count;
                    //}
                    //else
                    //{
                        var surveys = _tbiInstrumentManager.SelectByPatientICNAndSurveyType(patientICN, _surveyTypeId, true).ToList();
                        //_surveycount = surveys.Count;
                    //}

                    if (surveys.Count > 0)
                    {
                        //A concurrent session has already inserted a record for this survey and it is not new anymore.
                        Response.Redirect("Warning.aspx?err=9", false);
                    }
                    else
                    {
                        _survey.SURVEY_STATUS = "inprocess";
                        _survey.SetAsInsertOnSubmit();
                        _survey.patient_ICN = patientICN;
                        _survey.STD_SURVEY_TYPE_ID = _surveyTypeId;

                        // TODO: change to datepicker
                        _survey.SURVEY_DATE = DateTime.Today;

                        //Save survey if it's new before adding any responses
                        SuppressSaveMessage = true;

                        //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                        //    _tbiVIAInstrumentManager.Update(_survey);
                        //else
                            _tbiInstrumentManager.Update(_survey);

                        SuppressSaveMessage = false;

                        RefreshSurvey(patientICN);
                    }
                }

                SaveSurvey(ref _survey);

                _survey.SetAsUpdateOnSubmit();

                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    status = _tbiVIAInstrumentManager.Update(_survey);
                //else
                    status = _tbiInstrumentManager.Update(_survey);

                    (this.Master as RegistryInstrumentMaster).SetDirtyFlag(false);

                RefreshSurvey(patientICN);
                SuppressSaveMessage = false;
            }
        }
        catch (Exception ex)
        {

            Exception _tbilogerror = HandleTBIException(ex, "InstrumentFollowUpEntry.aspx", "100026", "SaveCompleteSurvey()");
        }
    }

    /// <summary>
    /// Save survey.
    /// </summary>
    /// <param name="survey"></param>
    private void SaveSurvey(ref SURVEY survey)
    {
        // Ensure lblTotal does not contain - ERROR
        //        if (!lblTotal.Text.Contains("ERROR")) {

        List<STD_QUESTION> questions = GetAllQuestionsForSurvey();

        //Delete all the survey results from database if there are any.
        //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
        //{
        //    SURVEY surveyWithResults = _tbiVIAInstrumentManager.GetSurveyWithAllAnswers(survey.SURVEYS_ID);
        //    _tbiVIAInstrumentManager.DeleteAllSurveyResults(surveyWithResults);
        //}
        //else
        //{
            SURVEY surveyWithResults = _tbiInstrumentManager.GetSurveyWithAllAnswers(survey.SURVEYS_ID);
            _tbiInstrumentManager.DeleteAllSurveyResults(surveyWithResults);
        //}

        // Question A
        STD_QUESTION questionA = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "A");
        _surveyResult = new SURVEY_RESULT();
        try
        {
            // Add Question DTE choice
            _surveyResult.STD_QUESTION_CHOICE_ID = questionA.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
            _surveyResult.RESULT_TEXT = (TextBoxChiefComplaint.Text).ToString();
           
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question A");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        STD_QUESTION questionB = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "B");
        _surveyResult = new SURVEY_RESULT();
        try
        {
            // Add Question DTE choice
            _surveyResult.STD_QUESTION_CHOICE_ID = questionB.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
            _surveyResult.RESULT_TEXT = (TextBoxHistoryPresentIllness.Text).ToString();
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question B");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 1
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (RadioButtonListChangeInMaritalStatus.SelectedIndex > -1)
            {
                // Add Question 1 choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(RadioButtonListChangeInMaritalStatus.SelectedValue);
                _surveyResult.RESULT_TEXT = RadioButtonListChangeInMaritalStatus.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();

                 //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                 //   _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("1", "COMP TBI FOLLOW-UP");
                 //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("1", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 1 save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 2
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (RadioButtonListHighestEducationalLevel.SelectedIndex > -1)
            {
                // Add Question 2 choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(RadioButtonListHighestEducationalLevel.SelectedValue);
                _surveyResult.RESULT_TEXT = RadioButtonListHighestEducationalLevel.SelectedItem.Text;
                
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();

                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("2", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("2", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 2 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 2A
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (RadioButtonListCurrentSchool.SelectedIndex > -1)
            {
                // Add Question 2A choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(RadioButtonListCurrentSchool.SelectedValue);
                _surveyResult.RESULT_TEXT = RadioButtonListCurrentSchool.SelectedItem.Text;

            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();

                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("2-A", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("2-A", "COMP TBI FOLLOW-UP");
                
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 2A Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 3
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (RadioButtonListCurrentEmploymentStatus.SelectedIndex > -1)
            {
                // Add Question 3 choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(RadioButtonListCurrentEmploymentStatus.SelectedValue);
                _surveyResult.RESULT_TEXT = RadioButtonListCurrentEmploymentStatus.SelectedItem.Text;

            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();

                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("3", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("3", "COMP TBI FOLLOW-UP");
                
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 3 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 4
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblExperiencedHeadInjury.SelectedIndex > -1)
            {
                // Add Question 4 choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblExperiencedHeadInjury.SelectedValue);
                _surveyResult.RESULT_TEXT = rblExperiencedHeadInjury.SelectedItem.Text;

            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();

                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("4", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("4", "COMP TBI FOLLOW-UP");
               
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 4 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        if (rblExperiencedHeadInjury.SelectedItem != null && rblExperiencedHeadInjury.SelectedItem.Text == "Yes")
        {

            // Question 4a
            STD_QUESTION question4A = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "4-A");
            _surveyResult = new SURVEY_RESULT();
            try
            {
                // Add Question DTE choice
                _surveyResult.STD_QUESTION_CHOICE_ID = question4A.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
                _surveyResult.RESULT_TEXT = (tbxMonthOfRecentHeadInjury.Text).ToString();

            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 4-A");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 4b
            STD_QUESTION question4B = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "4-B");
            _surveyResult = new SURVEY_RESULT();
            try
            {
                // Add Question DTE choice
                _surveyResult.STD_QUESTION_CHOICE_ID = question4B.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
                _surveyResult.RESULT_TEXT = (tbxYearOfRecentHeadInjury.Text).ToString();

            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 4-B");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 5A
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblBullet.SelectedIndex > -1)
                {
                    // Add Question 5A choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblBullet.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblBullet.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();

                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-A", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-A", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 5A Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 5B
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblVehicular.SelectedIndex > -1)
                {
                    // Add Question 5B choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblVehicular.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblVehicular.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();

                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-B", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-B", "COMP TBI FOLLOW-UP");
                    
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 5B Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 5C
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblFall.SelectedIndex > -1)
                {
                    // Add Question 5C choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblFall.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblFall.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-C", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-C", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 5C Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 5D
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblBlastOccurrences.SelectedIndex > -1)
                {
                    // Add Question 5D choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblBlastOccurrences.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblBlastOccurrences.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();

                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 5D Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 5D1
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblBlastWaveExperience.SelectedIndex > -1)
                {
                    // Add Question 5D1 choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblBlastWaveExperience.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblBlastWaveExperience.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();

                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D-1", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D-1", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 5D1 Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 5D1A
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblEstimatedBlastDistance.SelectedIndex > -1)
                {
                    // Add Question 5D1A choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblEstimatedBlastDistance.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblEstimatedBlastDistance.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();

                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D-1-A", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D-1-A", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 5D1A Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 5D2
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblBlastWaveWindExperience.SelectedIndex > -1)
                {
                    // Add Question 5D2 choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblBlastWaveWindExperience.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblBlastWaveWindExperience.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D-2", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D-2", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 5D2 Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 5D3
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblBlastWaveCausingViolentImpact.SelectedIndex > -1)
                {
                    // Add Question 5D3 choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblBlastWaveCausingViolentImpact.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblBlastWaveCausingViolentImpact.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D-3", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D-3", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 5D3 Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 5D4
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblBlastExplosionCausingInjuries.SelectedIndex > -1)
                {
                    // Add Question 5D4 choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblBlastExplosionCausingInjuries.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblBlastExplosionCausingInjuries.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D-4", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-D-4", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 5D4 Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 5D5
            //
            // Question "5-D-5": 
            // NOTE: Represented by a MULTI-SELECT CheckBox
            //
            List<SURVEY_RESULT> resultsBlastExplosures;
            //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
            //    resultsBlastExplosures = _tbiVIAInstrumentManager.GetChoicesByQuestionNumber("5-D-5", survey.SURVEYS_ID);
            //else

            resultsBlastExplosures = _tbiInstrumentManager.GetChoicesByQuestionNumber("5-D-5", survey.SURVEYS_ID);

            selectedItems = 0;
            foreach (ListItem item in CheckBoxListTypeOfBlastExposures.Items)
            {
                var selection = resultsBlastExplosures.Where(c => c.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER == int.Parse(item.Value)).FirstOrDefault();

                if (item.Selected)
                {
                    selectedItems++;
                    if (selection != null)
                    {
                        //found it so it was here and no need to add it

                    }
                    else
                    {
                        //have not found it so need to add it.
                        _surveyResult = new SURVEY_RESULT();
                        STD_QUESTION questionProblemsWithPain = questions.FirstOrDefault(s => s.QUESTION_NUMBER == "5-D-5");
                        SURVEY_RESULT resProbs = resultsBlastExplosures.Where(c => c.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER == null).FirstOrDefault();

                        if (resProbs == null)
                        {
                            _surveyResult.STD_QUESTION_CHOICE_ID = questionProblemsWithPain.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.STD_QUESTION_CHOICE_ID == int.Parse(item.Value)).STD_QUESTION_CHOICE_ID;

                            survey.SURVEY_RESULTs.Add(_surveyResult);
                        }
                    }
                }
                else
                {
                    if (selection != null)
                    {
                        //found it so need to remove it 
                        _surveyResult = survey.SURVEY_RESULTs.FirstOrDefault(c => c.STD_QUESTION_CHOICE_ID == selection.STD_QUESTION_CHOICE_ID);
                        //result.SetAsDeleteOnSubmit();
                        _surveyResult.SetAsDeleteOnSubmit();
                    }
                    else
                    {
                        //it wasn't there so no need to do anything

                    }
                }
            }
            //}
            if (selectedItems == 0)
            {
                if (rblExperiencedHeadInjury.SelectedValue == "4736"
                    || rblBlastOccurrences.SelectedValue == "4763")
                {
                    STD_QUESTION question = questions.FirstOrDefault(s => s.QUESTION_NUMBER == "5-D-5");

                    SURVEY_RESULT res = resultsBlastExplosures.Where(c => c.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER == null).FirstOrDefault();

                    if (res == null)
                    {
                        _surveyResult = new SURVEY_RESULT();

                        _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == null).STD_QUESTION_CHOICE_ID;

                        survey.SURVEY_RESULTs.Add(_surveyResult);
                    }

                }

            }// END Question "5-D-5"
            else
            {
                SURVEY_RESULT res = resultsBlastExplosures.Where(c => c.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER == null).FirstOrDefault();

                if (res != null)
                {
                    _surveyResult = survey.SURVEY_RESULTs.FirstOrDefault(c => c.STD_QUESTION_CHOICE_ID == res.STD_QUESTION_CHOICE_ID);

                    _surveyResult.SetAsDeleteOnSubmit();

                }
            }

            // Question 5E
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblBluntTraumaOtherThanFromBlast.SelectedIndex > -1)
                {
                    // Add Question 5E choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblBluntTraumaOtherThanFromBlast.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblBluntTraumaOtherThanFromBlast.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-E", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("5-E", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 5E Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 6
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblLossOfConsciousness.SelectedIndex > -1)
                {
                    // Add Question 5E choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblLossOfConsciousness.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblLossOfConsciousness.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("6", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("6", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 6 Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            if (rblLossOfConsciousness.SelectedIndex > -1)
            {
                if (rblLossOfConsciousness.SelectedItem != null && rblLossOfConsciousness.SelectedItem.Text != "No" && rblLossOfConsciousness.SelectedItem.Text != "Uncertain" && rblLossOfConsciousness.SelectedItem.Text != "Other condition not related to TBI or Behavioral Health condition(s)")
                {
                    // Question 6A
                    _surveyResult = new SURVEY_RESULT();
                    try
                    {
                        if (rblDurationLossOfConsciousness.SelectedIndex > -1)
                        {
                            // Add Question 6A choice
                            _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblDurationLossOfConsciousness.SelectedValue);
                            _surveyResult.RESULT_TEXT = rblDurationLossOfConsciousness.SelectedItem.Text;
                        }
                        else
                        {
                            List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                            //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                            //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("6-A", "COMP TBI FOLLOW-UP");
                            //else
                            _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("6-A", "COMP TBI FOLLOW-UP");

                            _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                            _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                        }
                    }
                    catch (Exception surveyEx)
                    {
                        Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 6A Save");
                    }
                    survey.SURVEY_RESULTs.Add(_surveyResult);
                }
            }

            // Question 7
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblDisorientationOrConfusion.SelectedIndex > -1)
                {
                    // Add Question 7 choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblDisorientationOrConfusion.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblDisorientationOrConfusion.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("7", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("7", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 7 Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            if (rblDisorientationOrConfusion.SelectedIndex > -1)
            {
                if (rblDisorientationOrConfusion.SelectedItem != null && rblDisorientationOrConfusion.SelectedItem.Text != "No" && rblDisorientationOrConfusion.SelectedItem.Text != "Uncertain" && rblDisorientationOrConfusion.SelectedItem.Text != "Other condition not related to TBI or Behavioral Health condition(s)")
                {
                    // Question 7A
                    _surveyResult = new SURVEY_RESULT();
                    try
                    {
                        if (rblDurationOfDisorientationOrConfusion.SelectedIndex > -1)
                        {
                            // Add Question 7A choice
                            _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblDurationOfDisorientationOrConfusion.SelectedValue);
                            _surveyResult.RESULT_TEXT = rblDurationOfDisorientationOrConfusion.SelectedItem.Text;
                        }
                        else
                        {
                            List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                            //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                            //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("7-A", "COMP TBI FOLLOW-UP");
                            //else
                            _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("7-A", "COMP TBI FOLLOW-UP");

                            _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                            _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                        }
                    }
                    catch (Exception surveyEx)
                    {
                        Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 7A Save");
                    }
                    survey.SURVEY_RESULTs.Add(_surveyResult);
                }
            }

            // Question 8
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblLossOfMemory.SelectedIndex > -1)
                {
                    // Add Question 8 choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblLossOfMemory.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblLossOfMemory.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("8", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("8", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 8 Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            if (rblLossOfMemory.SelectedIndex > -1)
            {
                if (rblLossOfMemory.SelectedItem != null && rblLossOfMemory.SelectedItem.Text != "No" && rblLossOfMemory.SelectedItem.Text != "Uncertain" && rblLossOfMemory.SelectedItem.Text != "Other condition not related to TBI or Behavioral Health condition(s)")
                {
                    // Question 8A
                    _surveyResult = new SURVEY_RESULT();
                    try
                    {
                        if (rblDurationOFMemoryLoss.SelectedIndex > -1)
                        {
                            // Add Question 8A choice
                            _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblDurationOFMemoryLoss.SelectedValue);
                            _surveyResult.RESULT_TEXT = rblDurationOFMemoryLoss.SelectedItem.Text;
                        }
                        else
                        {
                            List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                            //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                            //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("8-A", "COMP TBI FOLLOW-UP");
                            //else
                            _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("8-A", "COMP TBI FOLLOW-UP");

                            _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                            _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                        }
                    }
                    catch (Exception surveyEx)
                    {
                        Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 8A Save");
                    }
                    survey.SURVEY_RESULTs.Add(_surveyResult);
                }
            }

            // Question 9
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblObjectPenetration.SelectedIndex > -1)
                {
                    // Add Question 9 choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblObjectPenetration.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblObjectPenetration.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("9", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("9", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 9 Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 10
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblConsultationForNewInjury.SelectedIndex > -1)
                {
                    // Add Question 10 choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblConsultationForNewInjury.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblConsultationForNewInjury.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("10", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("10", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 10 Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);

            // Question 10A
            _surveyResult = new SURVEY_RESULT();
            try
            {
                if (rblChangeMedicationForNewInjury.SelectedIndex > -1)
                {
                    // Add Question 10A choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblChangeMedicationForNewInjury.SelectedValue);
                    _surveyResult.RESULT_TEXT = rblChangeMedicationForNewInjury.SelectedItem.Text;
                }
                else
                {
                    List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                    //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("10-A", "COMP TBI FOLLOW-UP");
                    //else
                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("10-A", "COMP TBI FOLLOW-UP");

                    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                    _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                }
            }
            catch (Exception surveyEx)
            {
                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 10A Save");
            }
            survey.SURVEY_RESULTs.Add(_surveyResult);
        }

        // Question 11A
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblDizzyness.SelectedIndex > -1)
            {
                // Add Question 11A choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblDizzyness.SelectedValue);
                _surveyResult.RESULT_TEXT = rblDizzyness.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-A", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-A", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11A Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11B
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblLossOfBalance.SelectedIndex > -1)
            {
                // Add Question 11B choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblLossOfBalance.SelectedValue);
                _surveyResult.RESULT_TEXT = rblLossOfBalance.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-B", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-B", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11B Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11C
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblPoorCoordination.SelectedIndex > -1)
            {
                // Add Question 10C choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblPoorCoordination.SelectedValue);
                _surveyResult.RESULT_TEXT = rblPoorCoordination.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-C", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-C", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11C Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11D
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblHeadaches.SelectedIndex > -1)
            {
                // Add Question 11D choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblHeadaches.SelectedValue);
                _surveyResult.RESULT_TEXT = rblHeadaches.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-D", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-D", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11D Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11E
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblNausea.SelectedIndex > -1)
            {
                // Add Question 11E choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblNausea.SelectedValue);
                _surveyResult.RESULT_TEXT = rblNausea.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-E", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-E", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11E Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11F
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblVisionBlurring.SelectedIndex > -1)
            {
                // Add Question 11F choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblVisionBlurring.SelectedValue);
                _surveyResult.RESULT_TEXT = rblVisionBlurring.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-F", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-F", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11F Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11G
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblSensitivityToLight.SelectedIndex > -1)
            {
                // Add Question 11G choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblSensitivityToLight.SelectedValue);
                _surveyResult.RESULT_TEXT = rblSensitivityToLight.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-G", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-G", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11G Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11H
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblHearingDifficulty.SelectedIndex > -1)
            {
                // Add Question 11H choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblHearingDifficulty.SelectedValue);
                _surveyResult.RESULT_TEXT = rblHearingDifficulty.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-H", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-H", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11H Save");
        } survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11I
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblSensitivityToNoise.SelectedIndex > -1)
            {
                // Add Question 11I choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblSensitivityToNoise.SelectedValue);
                _surveyResult.RESULT_TEXT = rblSensitivityToNoise.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-I", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-I", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11I Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11J
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblNumbnessOrTingling.SelectedIndex > -1)
            {
                // Add Question 11J choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblNumbnessOrTingling.SelectedValue);
                _surveyResult.RESULT_TEXT = rblNumbnessOrTingling.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-J", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-J", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11J Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11K
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblChangeInTasteSmell.SelectedIndex > -1)
            {
                // Add Question 11K choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblChangeInTasteSmell.SelectedValue);
                _surveyResult.RESULT_TEXT = rblChangeInTasteSmell.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-K", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-K", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11K Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11L
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblAppetiteLossIncrease.SelectedIndex > -1)
            {
                // Add Question 11L choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblAppetiteLossIncrease.SelectedValue);
                _surveyResult.RESULT_TEXT = rblAppetiteLossIncrease.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-L", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-L", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11L Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11M
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblPoorConcentration.SelectedIndex > -1)
            {
                // Add Question 11M choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblPoorConcentration.SelectedValue);
                _surveyResult.RESULT_TEXT = rblPoorConcentration.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-M", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-M", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11M Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11N
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblForgetfulness.SelectedIndex > -1)
            {
                // Add Question 11N choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblForgetfulness.SelectedValue);
                _surveyResult.RESULT_TEXT = rblForgetfulness.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-N", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-N", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11N Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11O
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblDifficultyMakingDecisions.SelectedIndex > -1)
            {
                // Add Question 11O choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblDifficultyMakingDecisions.SelectedValue);
                _surveyResult.RESULT_TEXT = rblDifficultyMakingDecisions.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-O", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-O", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11O Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11P
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblSlowedThinking.SelectedIndex > -1)
            {
                // Add Question 11P choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblSlowedThinking.SelectedValue);
                _surveyResult.RESULT_TEXT = rblSlowedThinking.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-P", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-P", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11P Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11Q
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblListFatigue.SelectedIndex > -1)
            {
                // Add Question 11Q choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblListFatigue.SelectedValue);
                _surveyResult.RESULT_TEXT = rblListFatigue.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-Q", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-Q", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11Q Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11R
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblSleepDifficulty.SelectedIndex > -1)
            {
                // Add Question 11R choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblSleepDifficulty.SelectedValue);
                _surveyResult.RESULT_TEXT = rblSleepDifficulty.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-R", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-R", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11R Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11S
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblAnxiety.SelectedIndex > -1)
            {
                // Add Question 11S choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblAnxiety.SelectedValue);
                _surveyResult.RESULT_TEXT = rblAnxiety.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-S", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-S", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11S Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11T
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblDepression.SelectedIndex > -1)
            {
                // Add Question 11T choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblDepression.SelectedValue);
                _surveyResult.RESULT_TEXT = rblDepression.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-T", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-T", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11T Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11U
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblIrritability.SelectedIndex > -1)
            {
                // Add Question 11U choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblIrritability.SelectedValue);
                _surveyResult.RESULT_TEXT = rblIrritability.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-U", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-U", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11U Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 11V
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblFrustration.SelectedIndex > -1)
            {
                // Add Question 11V choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblFrustration.SelectedValue);
                _surveyResult.RESULT_TEXT = rblFrustration.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-V", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("11-V", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 11V Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 12
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblOverallInterferenceWithLife.SelectedIndex > -1)
            {
                // Add Question 12 choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblOverallInterferenceWithLife.SelectedValue);
                _surveyResult.RESULT_TEXT = rblOverallInterferenceWithLife.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("12", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("12", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 12 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        //12-a
        if (rblOverallInterferenceWithLife.SelectedIndex > -1)
        {
            if (rblOverallInterferenceWithLife.SelectedItem != null && rblOverallInterferenceWithLife.SelectedItem.Text != "Not at all" && rblOverallInterferenceWithLife.SelectedItem.Text != "Other condition not related to TBI or Behavioral Health condition(s)")
            {
                _surveyResult = new SURVEY_RESULT();
                STD_QUESTION question12a = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "12-A");
                try
                {
                    // Add Question DTE choice
                    _surveyResult.STD_QUESTION_CHOICE_ID = question12a.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
                    _surveyResult.RESULT_TEXT = (tbxAreasOfLifeAffected.Text).ToString();

                }
                catch (Exception surveyEx)
                {
                    Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 12 Save");
                }
                survey.SURVEY_RESULTs.Add(_surveyResult);
            }
        }

        // Question 13
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblProblemsWithPain.SelectedIndex > -1)
            {
                // Add Question 13 choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblProblemsWithPain.SelectedValue);
                _surveyResult.RESULT_TEXT = rblProblemsWithPain.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("13", "COMP TBI FOLLOW-UP");
                //else

                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("13", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 13 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 13A
        // 
        //Question "13-A": Multi-select CheckBox
        //
        
        
        List<SURVEY_RESULT> resultsProblemsWithPain;
        //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
        //    resultsProblemsWithPain = _tbiVIAInstrumentManager.GetChoicesByQuestionNumber("13-A", survey.SURVEYS_ID);
        //else

           
        resultsProblemsWithPain = _tbiInstrumentManager.GetChoicesByQuestionNumber("13-A", survey.SURVEYS_ID);

        selectedItems = 0;
        foreach (ListItem item in cblProblemsWithPain.Items)
        {
            var selection = resultsProblemsWithPain.Where(c => c.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER == int.Parse(item.Value)).FirstOrDefault();

            if (item.Selected)
            {
                selectedItems++;
                if (selection != null)
                {
                    //found it so it was here and no need to add it

                }
                else
                {
                    //have not found it so need to add it.
                    _surveyResult = new SURVEY_RESULT();
                    STD_QUESTION questionProblemsWithPain = questions.FirstOrDefault(s => s.QUESTION_NUMBER == "13-A");
                    SURVEY_RESULT resProbs = resultsProblemsWithPain.Where(c => c.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER == null).FirstOrDefault();

                     if (resProbs == null)
                     {
                         _surveyResult.STD_QUESTION_CHOICE_ID = questionProblemsWithPain.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.STD_QUESTION_CHOICE_ID == int.Parse(item.Value)).STD_QUESTION_CHOICE_ID;

                         survey.SURVEY_RESULTs.Add(_surveyResult);
                     }
                }
            }
            else
            {
                if (selection != null)
                {
                    //found it so need to remove it 
                    _surveyResult = survey.SURVEY_RESULTs.FirstOrDefault(c => c.STD_QUESTION_CHOICE_ID == selection.STD_QUESTION_CHOICE_ID);
                    //result.SetAsDeleteOnSubmit();
                    _surveyResult.SetAsDeleteOnSubmit();
                }
                else
                {
                    //it wasn't there so no need to do anything

                }
            }
        }

        if (selectedItems == 0)
        {
            if (rblProblemsWithPain.SelectedValue == "5011")
            {
                STD_QUESTION question = questions.FirstOrDefault(s => s.QUESTION_NUMBER == "13-A");

                SURVEY_RESULT res = resultsProblemsWithPain.Where(c => c.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER == null).FirstOrDefault();

                if (res == null)
                {
                    _surveyResult = new SURVEY_RESULT();

                    _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == null).STD_QUESTION_CHOICE_ID;

                    survey.SURVEY_RESULTs.Add(_surveyResult);
                }

            }

        }// END Question "13-A"
        else
        {
            SURVEY_RESULT res = resultsProblemsWithPain.Where(c => c.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER == null).FirstOrDefault();

            if (res != null)
            {
                _surveyResult = survey.SURVEY_RESULTs.FirstOrDefault(c => c.STD_QUESTION_CHOICE_ID == res.STD_QUESTION_CHOICE_ID);

                _surveyResult.SetAsDeleteOnSubmit();

            }
        }

        // Question 13B
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblPainInterferenceWithLife.SelectedIndex > -1)
            {
                // Add Question 13B choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblPainInterferenceWithLife.SelectedValue);
                _surveyResult.RESULT_TEXT = rblPainInterferenceWithLife.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("13-B", "COMP TBI FOLLOW-UP");
                //else
                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("13-B", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 13B Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 14
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (RadioButtonListOverallSymptomsSinceLastEval.SelectedIndex > -1)
            {
                // Add Question 14 choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(RadioButtonListOverallSymptomsSinceLastEval.SelectedValue);
                _surveyResult.RESULT_TEXT = RadioButtonListOverallSymptomsSinceLastEval.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("14", "COMP TBI FOLLOW-UP");
                //else

                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("14", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 14 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 15
        STD_QUESTION question15 = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "15");
        _surveyResult = new SURVEY_RESULT();
        try
        {
            // Add Question DTE choice
            _surveyResult.STD_QUESTION_CHOICE_ID = question15.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
            _surveyResult.RESULT_TEXT = (tbxAdditionalComments.Text).ToString();

        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 15");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);


        // Question 16
        _surveyResult = new SURVEY_RESULT();
        STD_QUESTION question16 = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "16");
        try
        {
            // Add Question DTE choice
            _surveyResult.STD_QUESTION_CHOICE_ID = question16.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
            _surveyResult.RESULT_TEXT = (CurrentMedicationTextBox.Text).ToString();

        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 16 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        if (rblMedicationReconciliationPerformed.SelectedIndex > -1)
        {
            STD_QUESTION question = questions.FirstOrDefault(s => s.QUESTION_NUMBER == "16-A");

            List<SURVEY_RESULT> results = _tbiInstrumentManager.GetChoicesByQuestionNumber("16-A", survey.SURVEYS_ID);

            if (results.Count() > 0)
            {
                _surveyResult = survey.SURVEY_RESULTs.Where(c => c.STD_QUESTION_CHOICE_ID == results.First().STD_QUESTION_CHOICE_ID).FirstOrDefault();

                _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == rblMedicationReconciliationPerformed.SelectedIndex + 1).STD_QUESTION_CHOICE_ID;

            }
            else
            {
                _surveyResult = new SURVEY_RESULT();

                _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == rblMedicationReconciliationPerformed.SelectedIndex + 1).STD_QUESTION_CHOICE_ID;

                survey.SURVEY_RESULTs.Add(_surveyResult);
            }
        }
        else
        {
            STD_QUESTION question = questions.FirstOrDefault(s => s.QUESTION_NUMBER == "16-A");
            if (rblMedicationReconciliationPerformed.SelectedValue == "0")
            {
                List<SURVEY_RESULT> results = _tbiInstrumentManager.GetChoicesByQuestionNumber("16-A", survey.SURVEYS_ID);

                if (results.Count() > 0)
                {
                    _surveyResult = survey.SURVEY_RESULTs.Where(c => c.STD_QUESTION_CHOICE_ID == results.First().STD_QUESTION_CHOICE_ID).FirstOrDefault();
                    _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == null).STD_QUESTION_CHOICE_ID;

                }
                else
                {
                    _surveyResult = new SURVEY_RESULT();
                    _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == null).STD_QUESTION_CHOICE_ID;
                    survey.SURVEY_RESULTs.Add(_surveyResult);

                }
            }
        }

        if (rblMedicationReconciliationPerformed.SelectedItem != null && rblMedicationReconciliationPerformed.SelectedItem.Text.Contains("Yes") && rblMedicationGiven.SelectedIndex > -1)
        {
            STD_QUESTION question = questions.FirstOrDefault(s => s.QUESTION_NUMBER == "16-B");

            List<SURVEY_RESULT> results = _tbiInstrumentManager.GetChoicesByQuestionNumber("16-B", survey.SURVEYS_ID);

            if (results.Count() > 0)
            {
                _surveyResult = survey.SURVEY_RESULTs.Where(c => c.STD_QUESTION_CHOICE_ID == results.First().STD_QUESTION_CHOICE_ID).FirstOrDefault();

                _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == rblMedicationGiven.SelectedIndex + 1).STD_QUESTION_CHOICE_ID;

            }
            else
            {
                _surveyResult = new SURVEY_RESULT();

                _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == rblMedicationGiven.SelectedIndex + 1).STD_QUESTION_CHOICE_ID;

                survey.SURVEY_RESULTs.Add(_surveyResult);
            }
        }
        else
        {
            STD_QUESTION question = questions.FirstOrDefault(s => s.QUESTION_NUMBER == "16-B");
            if (rblMedicationGiven.SelectedValue == "0")
            {
                List<SURVEY_RESULT> results = _tbiInstrumentManager.GetChoicesByQuestionNumber("16-B", survey.SURVEYS_ID);

                if (results.Count() > 0)
                {
                    _surveyResult = survey.SURVEY_RESULTs.Where(c => c.STD_QUESTION_CHOICE_ID == results.First().STD_QUESTION_CHOICE_ID).FirstOrDefault();
                    _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == null).STD_QUESTION_CHOICE_ID;

                }
                else
                {
                    _surveyResult = new SURVEY_RESULT();
                    _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == null).STD_QUESTION_CHOICE_ID;
                    survey.SURVEY_RESULTs.Add(_surveyResult);

                }
            }
        }

        if (rblMedicationReconciliationPerformed.SelectedItem != null && rblMedicationReconciliationPerformed.SelectedItem.Text.Contains("No"))
        {
            STD_QUESTION question = questions.FirstOrDefault(s => s.QUESTION_NUMBER == "16-C");

            List<SURVEY_RESULT> results = _tbiInstrumentManager.GetChoicesByQuestionNumber("16-C", survey.SURVEYS_ID);

            if (results.Count() > 0)
            {
                _surveyResult = survey.SURVEY_RESULTs.Where(c => c.STD_QUESTION_CHOICE_ID == results.First().STD_QUESTION_CHOICE_ID).FirstOrDefault();
                _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == 1).STD_QUESTION_CHOICE_ID;
                _surveyResult.RESULT_TEXT = txtNoMedicationReconciliationPerformed.Text.Trim();

            }
            else
            {
                _surveyResult = new SURVEY_RESULT();
                _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == 1).STD_QUESTION_CHOICE_ID;
                survey.SURVEY_RESULTs.Add(_surveyResult);
                _surveyResult.RESULT_TEXT = txtNoMedicationReconciliationPerformed.Text.Trim();
            }
        }
        else
        {
            STD_QUESTION question = questions.FirstOrDefault(s => s.QUESTION_NUMBER == "16-C");
            if (rblMedicationReconciliationPerformed.SelectedValue == "0")
            {
                List<SURVEY_RESULT> results = _tbiInstrumentManager.GetChoicesByQuestionNumber("16-C", survey.SURVEYS_ID);

                if (results.Count() > 0)
                {
                    _surveyResult = survey.SURVEY_RESULTs.Where(c => c.STD_QUESTION_CHOICE_ID == results.First().STD_QUESTION_CHOICE_ID).FirstOrDefault();
                    _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == null).STD_QUESTION_CHOICE_ID;
                    _surveyResult.RESULT_TEXT = null;
                }
                else
                {
                    _surveyResult = new SURVEY_RESULT();
                    _surveyResult.STD_QUESTION_CHOICE_ID = question.STD_QUESTION_CHOICEs.FirstOrDefault(a => a.CHOICE_SORT_ORDER == null).STD_QUESTION_CHOICE_ID;
                    survey.SURVEY_RESULTs.Add(_surveyResult);
                }
            }
        }

        // Question 17
        _surveyResult = new SURVEY_RESULT();
        STD_QUESTION question17 = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "17");
        try
        {
            // Add Question DTE choice
            _surveyResult.STD_QUESTION_CHOICE_ID = question17.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
            _surveyResult.RESULT_TEXT = (tbxPhysicalExam.Text).ToString();

        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 17 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);
       
        // Question 18
        _surveyResult = new SURVEY_RESULT();
        STD_QUESTION question18 = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "18");
        try
        {
            // Add Question DTE choice
            _surveyResult.STD_QUESTION_CHOICE_ID = question18.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
            _surveyResult.RESULT_TEXT = (tbxProfessionalAssessment.Text).ToString();

        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 18 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);
       
        // Question 16A
        //_surveyResult = new SURVEY_RESULT();

        //try
        //{
        //    // Add Question 16A choice
        //    _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblMedicationGiven.SelectedValue);
        //    _surveyResult.RESULT_TEXT = rblMedicationGiven.SelectedItem.Text;
        //    survey.SURVEY_RESULTs.Add(_surveyResult);
        //}
        //catch (Exception surveyEx)
        //{
        //    Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 16A Save");
        //}

        // Question 19
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblExperiencedNewTbi.SelectedIndex > -1)
            {
                // Add Question 19 choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblExperiencedNewTbi.SelectedValue);
                _surveyResult.RESULT_TEXT = rblExperiencedNewTbi.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("19", "COMP TBI FOLLOW-UP");
                //else

                    _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("19", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 19 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        if (rblExperiencedNewTbi.SelectedIndex > -1)
        {
            
                // Question 19A
                _surveyResult = new SURVEY_RESULT();
                try
                {
                    if (RadioButtonListClinicalJudgement.SelectedIndex > -1)
                    {
                        // Add Question 19A choice
                        _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(RadioButtonListClinicalJudgement.SelectedValue);
                        _surveyResult.RESULT_TEXT = RadioButtonListClinicalJudgement.SelectedItem.Text;
                    }
                    else
                    {
                        List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                        //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                        //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("19-A", "COMP TBI FOLLOW-UP");
                        //else

                        _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("19-A", "COMP TBI FOLLOW-UP");

                        _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                        _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
                    }
                }
                catch (Exception surveyEx)
                {
                    Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 19A Save");
                }
                survey.SURVEY_RESULTs.Add(_surveyResult);
                if (rblExperiencedNewTbi.SelectedItem != null && rblExperiencedNewTbi.SelectedItem.Text == "Yes")
                {
                    if ( RadioButtonListClinicalJudgement.SelectedIndex > -1 ){
                        if (RadioButtonListClinicalJudgement.SelectedItem != null && RadioButtonListClinicalJudgement.SelectedItem.Text == "Other condition not related to TBI or Behavioral Health condition(s)")
                        {

                            // Question 19a1
                            _surveyResult = new SURVEY_RESULT();
                            STD_QUESTION question19a1 = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "19-A-1");
                            try
                            {
                                // Add Question DTE choice
                                _surveyResult.STD_QUESTION_CHOICE_ID = question19a1.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
                                _surveyResult.RESULT_TEXT = (OtherConditionDetailsTextBox.Text).ToString();

                            }
                            catch (Exception surveyEx)
                            {
                                Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 19-a-1 Save");
                            }
                            survey.SURVEY_RESULTs.Add(_surveyResult);
                        }
                    }
                }
        }

        // Question 20
        _surveyResult = new SURVEY_RESULT();
        try
        {
            if (rblFollowUpPlan.SelectedIndex > -1)
            {
                // Add Question 20 choice
                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(rblFollowUpPlan.SelectedValue);
                _surveyResult.RESULT_TEXT = rblFollowUpPlan.SelectedItem.Text;
            }
            else
            {
                List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
                //    _list = _tbiVIAInstrumentManager.GetChoicesByQuestionNumberandSurveyType("20", "COMP TBI FOLLOW-UP");
                //else
                    
                _list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("20", "COMP TBI FOLLOW-UP");

                _surveyResult.STD_QUESTION_CHOICE_ID = Convert.ToInt32(_list[0].STD_QUESTION_CHOICE_ID.ToString());
                _surveyResult.RESULT_TEXT = _list[0].CHOICE_TEXT.ToString();
            }
        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 20 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);

        // Question 21
        _surveyResult = new SURVEY_RESULT();
        STD_QUESTION question21 = questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "21");
        try
        {
            // Add Question DTE choice
            _surveyResult.STD_QUESTION_CHOICE_ID = question21.STD_QUESTION_CHOICEs.FirstOrDefault().STD_QUESTION_CHOICE_ID;
            _surveyResult.RESULT_TEXT = (tbxDetailsOfPlan.Text).ToString();

        }
        catch (Exception surveyEx)
        {
            Exception _tbilogerror = HandleTBIException(surveyEx, "InstrumentFollowUpEntry.aspx", "100027", "SaveSurvey() - Question 21 Save");
        }
        survey.SURVEY_RESULTs.Add(_surveyResult);
        
        //} else {
        //    // do not save ... 
        //}
    }// END SaveSurvey
  
    /// <summary>
    /// Initialize/setup controls
    /// </summary>
    /// <param name="survey"></param>
    private void SetUpSurvey(SURVEY survey)
    {
        try
        {
            foreach (var sResult in survey.SURVEY_RESULTs)
            {
                switch (sResult.STD_QUESTION_CHOICE.STD_QUESTION.QUESTION_NUMBER)
                {
                    case "A":
                        SetTextBoxElement("A", TextBoxChiefComplaint, sResult);
                        break;
                    case "B":
                        SetTextBoxElement("B", TextBoxHistoryPresentIllness, sResult);
                        break;
                    case "D":
                        //SetDateTimeElement("D", dpDate1, sResult);
                        break;
                    case "1":
                        SetRadioElement("1", RadioButtonListChangeInMaritalStatus, sResult);
                        break;
                    case "2":
                        SetRadioElement("2", RadioButtonListHighestEducationalLevel, sResult);
                        break;
                    case "2-A":
                        SetRadioElement("2-A", RadioButtonListCurrentSchool, sResult);
                        break;
                    case "3":
                        SetRadioElement("3", RadioButtonListCurrentEmploymentStatus, sResult);
                        break;
                    case "4":
                        SetRadioElement("4", rblExperiencedHeadInjury, sResult);
                        break;
                    case "4-A":
                        SetTextBoxElement("4-A", tbxMonthOfRecentHeadInjury, sResult);
                        break;
                    case "4-B":
                        SetTextBoxElement("4-B", tbxYearOfRecentHeadInjury, sResult);
                        break;
                    case "5-A":
                        SetRadioElement("5-A", rblBullet, sResult);
                        break;
                    case "5-B":
                        SetRadioElement("5-B", rblVehicular, sResult);
                        break;
                    case "5-C":
                        SetRadioElement("5-C", rblFall, sResult);
                        break;
                    case "5-D":
                        SetRadioElement("5-D", rblBlastOccurrences, sResult);
                        break;
                    case "5-D-1":
                        SetRadioElement("5-D-1", rblBlastWaveExperience, sResult);
                        break;
                    case "5-D-1-A":
                        SetRadioElement("5-D-1-A", rblEstimatedBlastDistance, sResult);
                        break;
                    case "5-D-2":
                        SetRadioElement("5-D-2", rblBlastWaveWindExperience, sResult);
                        break;
                    case "5-D-3":
                        SetRadioElement("5-D-3", rblBlastWaveCausingViolentImpact, sResult);
                        break;
                    case "5-D-4":
                        SetRadioElement("5-D-4", rblBlastExplosionCausingInjuries, sResult);
                        break;
                    case "5-D-5":
                        //SetCheckBoxElement("5-D-5", CheckBoxListTypeOfBlastExposures, sResult);
                        if (sResult.STD_QUESTION_CHOICE.STD_QUESTION_CHOICE_ID != null)
                        {
                            if (sResult.STD_QUESTION_CHOICE.STD_QUESTION_CHOICE_ID.ToString().Length > 0)
                            {
                                if (sResult.STD_QUESTION_CHOICE.CHOICE_TEXT != "Not asked (due to responses to other questions)")
                                {
                                    _FiveDFiveAAnswers[_uu] = sResult.STD_QUESTION_CHOICE.STD_QUESTION_CHOICE_ID.ToString();
                                    _uu++;
                                }
                            }
                        }
                        else
                        {
                            //none selected so nothing to do 

                        }
                        break;
                    case "5-E":
                        SetRadioElement("5-E", rblBluntTraumaOtherThanFromBlast, sResult);
                        break;
                    case "6":
                        SetRadioElement("6", rblLossOfConsciousness, sResult);
                        break;
                    case "6-A":
                        SetRadioElement("6-A", rblDurationLossOfConsciousness, sResult);
                        break;
                    case "7":
                        SetRadioElement("7", rblDisorientationOrConfusion, sResult);
                        break;
                    case "7-A":
                        SetRadioElement("7-A", rblDurationOfDisorientationOrConfusion, sResult);
                        break;
                    case "8":
                        SetRadioElement("8", rblLossOfMemory, sResult);
                        break;
                    case "8-A":
                        SetRadioElement("8-A", rblDurationOFMemoryLoss, sResult);
                        break;
                    case "9":
                        SetRadioElement("9", rblObjectPenetration, sResult);
                        break;
                    case "10":
                        SetRadioElement("10", rblConsultationForNewInjury, sResult);
                        break;
                    case "10-A":
                        SetRadioElement("10-A", rblChangeMedicationForNewInjury, sResult);
                        break;
                    case "11-A":
                        SetRadioElement("11-A", rblDizzyness, sResult);
                        break;
                    case "11-B":
                        SetRadioElement("11-B", rblLossOfBalance, sResult);
                        break;
                    case "11-C":
                        SetRadioElement("11-C", rblPoorCoordination, sResult);
                        break;
                    case "11-D":
                        SetRadioElement("11-D", rblHeadaches, sResult);
                        break;
                    case "11-E":
                        SetRadioElement("11-E", rblNausea, sResult);
                        break;
                    case "11-F":
                        SetRadioElement("11-F", rblVisionBlurring, sResult);
                        break;
                    case "11-G":
                        SetRadioElement("11-G", rblSensitivityToLight, sResult);
                        break;
                    case "11-H":
                        SetRadioElement("11-H", rblHearingDifficulty, sResult);
                        break;  
                    case "11-I":
                        SetRadioElement("11-I", rblSensitivityToNoise, sResult);
                        break;
                    case "11-J":
                        SetRadioElement("11-J", rblNumbnessOrTingling, sResult);
                        break;
                    case "11-K":
                        SetRadioElement("11-K", rblChangeInTasteSmell, sResult);
                        break;
                    case "11-L":
                        SetRadioElement("11-L", rblAppetiteLossIncrease, sResult);
                        break;
                    case "11-M":
                        SetRadioElement("11-M", rblPoorConcentration, sResult);
                        break;
                    case "11-N":
                        SetRadioElement("11-N", rblForgetfulness, sResult);
                        break;
                    case "11-O":
                        SetRadioElement("11-O", rblDifficultyMakingDecisions, sResult);
                        break;
                    case "11-P":
                        SetRadioElement("11-P", rblSlowedThinking, sResult);
                        break;
                    case "11-Q":
                        SetRadioElement("11-Q", rblListFatigue, sResult);
                        break;
                    case "11-R":
                        SetRadioElement("11-R", rblSleepDifficulty, sResult);
                        break;
                    case "11-S":
                        SetRadioElement("11-S", rblAnxiety, sResult);
                        break;
                    case "11-T":
                        SetRadioElement("11-T", rblDepression, sResult);
                        break;
                    case "11-U":
                        SetRadioElement("11-U", rblIrritability, sResult);
                        break;
                    case "11-V":
                        SetRadioElement("11-V", rblFrustration, sResult);
                        break;
                    case "12":
                        SetRadioElement("12", rblOverallInterferenceWithLife, sResult);
                        break;
                    case "12-A":
                        SetTextBoxElement("12-A", tbxAreasOfLifeAffected, sResult);
                        break;     
                    case "13":
                        SetRadioElement("13", rblProblemsWithPain, sResult);
                        break;
                    case "13-A":
                        //SetCheckBoxElement("13-A", cblProblemsWithPain, sResult);
                        //checkbox based

                        if (sResult.STD_QUESTION_CHOICE.STD_QUESTION_CHOICE_ID != null)
                        {
                            if (sResult.STD_QUESTION_CHOICE.STD_QUESTION_CHOICE_ID.ToString().Length > 0)
                            {
                                if (sResult.STD_QUESTION_CHOICE.CHOICE_TEXT != "Not asked (due to responses to other questions)")
                                {
                                    _ThirteenAAnswers[_ii] = sResult.STD_QUESTION_CHOICE.STD_QUESTION_CHOICE_ID.ToString();
                                    _ii++;
                                }
                            }
                        }
                        else
                        {
                            //none selected so nothing to do 

                        }
                        break;
                    case "13-B":
                        SetRadioElement("13-B", rblPainInterferenceWithLife, sResult);
                        break;
                    case "14":
                        SetRadioElement("14", RadioButtonListOverallSymptomsSinceLastEval, sResult);
                        break;
                    case "15":
                        SetTextBoxElement("15", tbxAdditionalComments, sResult);
                        break;  
                    case "16":
                        SetTextBoxElement("16", CurrentMedicationTextBox, sResult);
                        break;
                    case "16-A":
                        if (sResult.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER.HasValue)
                        {
                            rblMedicationReconciliationPerformed.SelectedIndex = sResult.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER.Value - 1;
                        }
                        else
                        {
                            rblMedicationReconciliationPerformed.SelectedIndex = -1;

                        }
                        break;

                    case "16-B":
                        if (sResult.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER.HasValue)
                        {
                            rblMedicationGiven.SelectedIndex = sResult.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER.Value - 1;
                        }
                        else
                        {
                            rblMedicationGiven.SelectedIndex = -1;

                        }
                        break;

                    case "16-C":
                        txtNoMedicationReconciliationPerformed.Text = sResult.RESULT_TEXT;
                        break;
                    case "17":
                        SetTextBoxElement("17", tbxPhysicalExam, sResult);
                        break;
                    case "18":
                        SetTextBoxElement("18", tbxProfessionalAssessment, sResult);
                        break;
                    case "19":
                        SetRadioElement("19", rblExperiencedNewTbi, sResult);
                        break;
                    case "19-A":
                        SetRadioElement("19-A", RadioButtonListClinicalJudgement, sResult);
                        break;
                    case "19-A-1":
                        SetTextBoxElement("19-A-1", OtherConditionDetailsTextBox, sResult);
                        break; 
                    case "20":
                        SetRadioElement("20", rblFollowUpPlan, sResult);
                        break;
                    case "21":
                        SetTextBoxElement("21", tbxDetailsOfPlan, sResult);
                        break;
                    default:
                        break;
                }
            }

        }

        catch (Exception ex)
        {
            Exception _tbilogerror = HandleTBIException(ex, "InstrumentFollowUpEntry.aspx", "100027", "SetUpSurvey()");
        }
    }
    // END SetUpSurvey

    private void SetTextBoxElement(string _elementRef, TextBox _elementObj, SURVEY_RESULT _result)
    {
        if (!String.IsNullOrEmpty(_result.RESULT_TEXT))
        {
            if (_result.RESULT_TEXT.ToString() != "Not asked (due to responses to other questions)")
            {
                _elementObj.Text = _result.RESULT_TEXT;
            }
        }
    }
    private void SetRadioElement(string _elementRef, RadioButtonList _elementObj, SURVEY_RESULT _result)
    {
        if (_result.STD_QUESTION_CHOICE.STD_QUESTION_CHOICE_ID > -1)
        {
            if (_result.RESULT_TEXT.ToString() != "Not asked (due to responses to other questions)")
            {
                _elementObj.SelectedValue = _result.STD_QUESTION_CHOICE.STD_QUESTION_CHOICE_ID.ToString();
            }
        }
        else
        {
            _elementObj.SelectedIndex = -1;
        }
    }
    private void SetCheckBoxElement(string _elementRef, CheckBoxList _elementObj, SURVEY_RESULT _result)
    {
        //if (IsPostBack)
        //{
        if (cblProblemsWithPain.Items.Count > 0)
            {
                if (_result.STD_QUESTION_CHOICE.CHOICE_SORT_ORDER.HasValue)
                {
                    //List<STD_QUESTION_CHOICE> _list = new List<STD_QUESTION_CHOICE>();
                    //_list = _tbiInstrumentManager.GetChoicesByQuestionNumberandSurveyType("13-A", "COMP TBI FOLLOW-UP");
                    //_result.STD_QUESTION_CHOICE.SURVEY_RESULTs.First();
                    ListItem item = cblProblemsWithPain.Items.FindByValue(_result.STD_QUESTION_CHOICE.STD_QUESTION_CHOICE_ID.ToString());
                    if (item != null)
                    {
                        item.Selected = true;
                    }
                }
                else
                {
                    //none selected so nothing to do 
                }
            }
     
    }
    private void SetDateTimeElement(string _elementRef, RadDateTimePicker _elementObj, SURVEY_RESULT _result)
    {
        if (!String.IsNullOrEmpty(_result.RESULT_TEXT))
        {
            DateTime temp;
            if (DateTime.TryParse(_result.RESULT_TEXT, out temp))
            {
                _elementObj.SelectedDate = temp;
            }
        }
    }
    /// <summary>
    /// Returns the Question_Text of the question with the passed Question_Number field
    /// </summary>
    /// <param name="questionId"></param>
    /// <returns></returns>
    protected string GetQuestionText(string questionId)
    {
        foreach (STD_QUESTION ques in QuestionList)
        {
            if (ques.QUESTION_NUMBER.ToLower() == questionId.ToLower())
            {
                return ques.QUESTION_TEXT;
            }
        }

        return "";
    }

    /// <summary>
    /// Returns the Question_Id of the question with the passed Question_Number field
    /// </summary>
    /// <param name="questionId"></param>
    /// <returns></returns>
    protected int GetQuestionId(string questionNumber)
    {
        foreach (STD_QUESTION ques in QuestionList)
        {
            if (ques.QUESTION_NUMBER.ToLower() == questionNumber.ToLower())
            {
                return ques.ID;
            }
        }

        return 0;
    }
    /// <summary>
    /// Retrieve instrument title
    /// </summary>
    /// <param name="surveyID"></param>
    /// <returns></returns>
    private string GetInstrumentTitle(int surveyID)
    {
        string ret = String.Empty;

        try
        {
            List<string> instrumentTitle;
            //if (!String.IsNullOrEmpty(_serviceToUse) && _serviceToUse.Contains("VIA"))
            //{
            //    instrumentTitle = _tbiVIAInstrumentManager.GetInstrumentByID(surveyID).Title;
            //}
            //else
            //{
                instrumentTitle = _tbiInstrumentManager.GetInstrumentByID(surveyID).Title;
            //}

            if (instrumentTitle.Count > 0)
            {
                foreach (string titleLine in instrumentTitle)
                {
                    if (titleLine.Contains("PhD"))
                    {
                        ret = ret + "<small>" + titleLine + "</small>" + "<br \\>";
                    }
                    else
                    {
                        ret = ret + titleLine + "<br \\>";
                    }
                }
            }

        }
        catch (Exception ex)
        {
            Exception _tbilogerror = HandleTBIException(ex, "InstrumentFollowUpEntry.aspx", "100027", "GetInstrumentTitle()");
            // Ignore error
        }

        return ret;
    }

    #endregion
   
    /// <summary>
    /// Calculate total score.
    /// </summary>
    protected void FillFormFields()
    {
      
    }

    #region DataBound events

    protected void RadioButtonListChangeInMaritalStatus_OnDataBound(object sender, EventArgs e)
    {
        RadioButtonListChangeInMaritalStatus.Items.RemoveAt(0);
    }
    protected void RadioButtonListCurrentSchool_OnDataBound(object sender, EventArgs e)
    {
        RadioButtonListCurrentSchool.Items.RemoveAt(0);
    }
    protected void RadioButtonListHighestEducationalLevel_OnDataBound(object sender, EventArgs e)
    {
        RadioButtonListHighestEducationalLevel.Items.RemoveAt(0);
    }
    protected void rblExperiencedHeadInjury_OnDataBound(object sender, EventArgs e)
    {
        rblExperiencedHeadInjury.Items.RemoveAt(0);
    }
    protected void RadioButtonListOverallSymptomsSinceLastEval_OnDataBound(object sender, EventArgs e)
    {
        RadioButtonListOverallSymptomsSinceLastEval.Items.RemoveAt(0);
    }
    protected void rblAnxiety_OnDataBound(object sender, EventArgs e)
    {
        rblAnxiety.Items.RemoveAt(0);
    }
    protected void rblAppetiteLossIncrease_OnDataBound(object sender, EventArgs e)
    {
        rblAppetiteLossIncrease.Items.RemoveAt(0);
    }
    protected void rblBlastExplosionCausingInjuries_OnDataBound(object sender, EventArgs e)
    {
        rblBlastExplosionCausingInjuries.Items.RemoveAt(0);
    }
    protected void rblBlastOccurrences_OnDataBound(object sender, EventArgs e)
    {
        rblBlastOccurrences.Items.RemoveAt(0);
    }
    protected void rblBlastWaveCausingViolentImpact_OnDataBound(object sender, EventArgs e)
    {
        rblBlastWaveCausingViolentImpact.Items.RemoveAt(0);
    }
    protected void rblBlastWaveExperience_OnDataBound(object sender, EventArgs e)
    {
        rblBlastWaveExperience.Items.RemoveAt(0);
    }
    protected void rblBlastWaveWindExperience_OnDataBound(object sender, EventArgs e)
    {
        rblBlastWaveWindExperience.Items.RemoveAt(0);
    }
    protected void rblBluntTraumaOtherThanFromBlast_OnDataBound(object sender, EventArgs e)
    {
        rblBluntTraumaOtherThanFromBlast.Items.RemoveAt(0);
    }
    protected void rblBullet_OnDataBound(object sender, EventArgs e)
    {
        rblBullet.Items.RemoveAt(0);
    }
    protected void rblChangeInTasteSmell_OnDataBound(object sender, EventArgs e)
    {
        rblChangeInTasteSmell.Items.RemoveAt(0);
    }
    protected void rblChangeMedicationForNewInjury_OnDataBound(object sender, EventArgs e)
    {
        rblChangeMedicationForNewInjury.Items.RemoveAt(0);
    }
    protected void rblConsultationForNewInjury_OnDataBound(object sender, EventArgs e)
    {
        rblConsultationForNewInjury.Items.RemoveAt(0);
    }
    protected void rblDepression_OnDataBound(object sender, EventArgs e)
    {
        rblDepression.Items.RemoveAt(0);
    }
    protected void rblDifficultyMakingDecisions_OnDataBound(object sender, EventArgs e)
    {
        rblDifficultyMakingDecisions.Items.RemoveAt(0);
    }
    protected void rblDisorientationOrConfusion_OnDataBound(object sender, EventArgs e)
    {
        rblDisorientationOrConfusion.Items.RemoveAt(0);
    }
    protected void rblDizzyness_OnDataBound(object sender, EventArgs e)
    {
        rblDizzyness.Items.RemoveAt(0);
    }
    protected void rblDurationLossOfConsciousness_OnDataBound(object sender, EventArgs e)
    {
        rblDurationLossOfConsciousness.Items.RemoveAt(0);
    }
    protected void rblDurationOfDisorientationOrConfusion_OnDataBound(object sender, EventArgs e)
    {
        rblDurationOfDisorientationOrConfusion.Items.RemoveAt(0);
    }
    protected void rblDurationOFMemoryLoss_OnDataBound(object sender, EventArgs e)
    {
        rblDurationOFMemoryLoss.Items.RemoveAt(0);
    }
    protected void rblEstimatedBlastDistance_OnDataBound(object sender, EventArgs e)
    {
        rblEstimatedBlastDistance.Items.RemoveAt(0);
    }
    protected void rblExperiencedNewTbi_OnDataBound(object sender, EventArgs e)
    {
        rblExperiencedNewTbi.Items.RemoveAt(0);
    }
    protected void RadioButtonListCurrentEmploymentStatus_OnDataBound(object sender, EventArgs e)
    {
        RadioButtonListCurrentEmploymentStatus.Items.RemoveAt(0);
    }
    protected void rblFall_OnDataBound(object sender, EventArgs e)
    {
        rblFall.Items.RemoveAt(0);
    }
    protected void rblFollowUpPlan_OnDataBound(object sender, EventArgs e)
    {
        rblFollowUpPlan.Items.RemoveAt(0);
    }
    protected void rblForgetfulness_OnDataBound(object sender, EventArgs e)
    {
        rblForgetfulness.Items.RemoveAt(0);
    }
    protected void rblFrustration_OnDataBound(object sender, EventArgs e)
    {
        rblFrustration.Items.RemoveAt(0);
    }
    protected void rblHeadaches_OnDataBound(object sender, EventArgs e)
    {
        rblHeadaches.Items.RemoveAt(0);
    }
    protected void rblHearingDifficulty_OnDataBound(object sender, EventArgs e)
    {
        rblHearingDifficulty.Items.RemoveAt(0);
    }
    protected void rblIrritability_OnDataBound(object sender, EventArgs e)
    {
        rblIrritability.Items.RemoveAt(0);
    }
    protected void rblListFatigue_OnDataBound(object sender, EventArgs e)
    {
        rblListFatigue.Items.RemoveAt(0);
    }
    protected void rblLossOfBalance_OnDataBound(object sender, EventArgs e)
    {
        rblLossOfBalance.Items.RemoveAt(0);
    }
    protected void rblLossOfConsciousness_OnDataBound(object sender, EventArgs e)
    {
        rblLossOfConsciousness.Items.RemoveAt(0);
    }
    protected void rblLossOfMemory_OnDataBound(object sender, EventArgs e)
    {
        rblLossOfMemory.Items.RemoveAt(0);
    }
    protected void rblNausea_OnDataBound(object sender, EventArgs e)
    {
        rblNausea.Items.RemoveAt(0);
    }
    protected void rblNumbnessOrTingling_OnDataBound(object sender, EventArgs e)
    {
        rblNumbnessOrTingling.Items.RemoveAt(0);
    }
    protected void rblObjectPenetration_OnDataBound(object sender, EventArgs e)
    {
        rblObjectPenetration.Items.RemoveAt(0);
    }
    protected void rblOverallInterferenceWithLife_OnDataBound(object sender, EventArgs e)
    {
        rblOverallInterferenceWithLife.Items.RemoveAt(0);
    }
    protected void rblPainInterferenceWithLife_OnDataBound(object sender, EventArgs e)
    {
        rblPainInterferenceWithLife.Items.RemoveAt(0);
    }
    protected void rblPoorConcentration_OnDataBound(object sender, EventArgs e)
    {
        rblPoorConcentration.Items.RemoveAt(0);
    }
    protected void rblPoorCoordination_OnDataBound(object sender, EventArgs e)
    {
        rblPoorCoordination.Items.RemoveAt(0);
    }
    protected void rblProblemsWithPain_OnDataBound(object sender, EventArgs e)
    {
        rblProblemsWithPain.Items.RemoveAt(0);
    }
    protected void rblSensitivityToLight_OnDataBound(object sender, EventArgs e)
    {
        rblSensitivityToLight.Items.RemoveAt(0);
    }
    protected void rblSensitivityToNoise_OnDataBound(object sender, EventArgs e)
    {
        rblSensitivityToNoise.Items.RemoveAt(0);
    }
    protected void rblSleepDifficulty_OnDataBound(object sender, EventArgs e)
    {
        rblSleepDifficulty.Items.RemoveAt(0);
    }
    protected void rblSlowedThinking_OnDataBound(object sender, EventArgs e)
    {
        rblSlowedThinking.Items.RemoveAt(0);
    }
    protected void rblVehicular_OnDataBound(object sender, EventArgs e)
    {
        rblVehicular.Items.RemoveAt(0);
    }
    protected void rblVisionBlurring_OnDataBound(object sender, EventArgs e)
    {
        rblVisionBlurring.Items.RemoveAt(0);
    }
    protected void cblProblemsWithPain_OnDataBound(object sender, EventArgs e)
    {
        cblProblemsWithPain.Items.RemoveAt(0);

        List<STD_QUESTION> _questions = GetAllQuestionsForSurvey();
        STD_QUESTION question13A = _questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "13-A");

        if (question13A.STD_QUESTION_CHOICEs != null)
        {
            if (question13A.STD_QUESTION_CHOICEs.HasLoadedOrAssignedValues)
            {
                if (_ThirteenAAnswers.Length > 0)
                {
                    foreach (string _item in _ThirteenAAnswers)
                    {
                        if (_item != "null" && _item != null)
                        {
                            if (_item.ToString() != "Not asked (due to responses to other questions)")
                            {
                                cblProblemsWithPain.Items.FindByValue(_item.ToString()).Selected = true;
                            }
                        }
                    }
                }
            }

        }
          
    }
    protected void CheckBoxListTypeOfBlastExposures_OnDataBound(object sender, EventArgs e)
    {
        CheckBoxListTypeOfBlastExposures.Items.RemoveAt(0);

        List<STD_QUESTION> _questions = GetAllQuestionsForSurvey();
        STD_QUESTION question5d5 = _questions.FirstOrDefault(Q => Q.QUESTION_NUMBER == "5-D-5");

        if (question5d5.STD_QUESTION_CHOICEs != null)
        {
            if (question5d5.STD_QUESTION_CHOICEs.HasLoadedOrAssignedValues)
            {
                if (_FiveDFiveAAnswers.Length > 0)
                {
                    foreach (string _item in _FiveDFiveAAnswers)
                    {
                        if (_item != "null" && _item != null)
                        {
                            if (_item.ToString() != "Not asked (due to responses to other questions)")
                            {
                                CheckBoxListTypeOfBlastExposures.Items.FindByValue(_item.ToString()).Selected = true;
                            }
                        }
                    }
                }
            }
        }  
    }
    protected void RadioButtonListClinicalJudgement_OnDataBound(object sender, EventArgs e)
    {
        RadioButtonListClinicalJudgement.Items.RemoveAt(0);
    }
    
    #endregion

    #region Auto-generated Events
    // CAUTION: Although unused their removal will trigger errors because of their absence from the web-page
    protected void RadioButtonListFatigue_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListSleepDifficulty_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListAnxiety_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListDepression_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListIrritability_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListFrustration_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void CheckBoxGrenade_CheckedChanged(object sender, EventArgs e)
    {

    }
    protected void rblBlastWaveExperience_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblBlastWaveWindExperience_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblBlastOccurrences_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblEstimatedBlastDistance_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListProblemsWithPain_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void cbxListProblemsWithPain_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListOverallInterferenceWithLife_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void cblProblemsWithPain_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListPainInterferenceWithLife_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListOverallSymptomsSinceLastEval_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblExperiencedHeadInjury_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblDurationLossOfConsciousness_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void cblTypeOfBlastExposures_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void tbxYearOfRecentHeadInjury_TextChanged(object sender, EventArgs e)
    {
        //string tbxHeadInjuryYr = sender.ToString();
    }
    protected void rblHearingDifficulty_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblBullet_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblVehicular_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblFall_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblBlastWaveCausingViolentImpact_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblBlastExplosionCausingInjuries_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblLossOfConsciousness_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblDisorientationOrConfusion_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void tbxSymptoms_TextChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListClinicalJudgement_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void RadioButtonListFollowUpPlan_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblExperiencedNewTbi_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblFollowUpPlan_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblDurationOfDisorientationOrConfusion_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblLossOfMemory_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblOverallInterferenceWithLife_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblProblemsWithPain_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void rblPainInterferenceWithLife_SelectedIndexChanged(object sender, EventArgs e)
    {

    }

    #endregion Auto-generated Events

}